Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.engine.export
Class JRXml4SwfExporter

    java.lang.Object
      net.sf.jasperreports.engine.JRAbstractExporter
          net.sf.jasperreports.engine.export.JRXmlExporter
              net.sf.jasperreports.engine.export.JRXml4SwfExporter

All Implemented Interfaces:
  JRExporter

    public class JRXml4SwfExporter

extends JRXmlExporter

This is a modified version of the JRXmlExporter class, which produces an XML document that is used by the Flash viewer.

Version:
  $Id: JRXmlExporter.java 3033 2009-08-27 11:46:22Z teodord $
Author:
  Teodor Danciu (teodord@users.sourceforge.net)

Nested Class Summary

Nested classes/interfaces inherited from class net.sf.jasperreports.engine.export.JRXmlExporter
`JRXmlExporter.ExporterContext`

Nested classes/interfaces inherited from class net.sf.jasperreports.engine.JRAbstractExporter
`JRAbstractExporter.BaseExporterContext, JRAbstractExporter.ParameterOverriddenResolver, JRAbstractExporter.ParameterOverrideResolver, JRAbstractExporter.ParameterResolver`

Field Summary
`static java.lang.String` | `XML4SWF_EXPORTER_KEY` The exporter key, as used in `GenericElementHandlerEnviroment.getHandler(net.sf.jasperreports.engine.JRGenericElementType, String)`.

Fields inherited from class net.sf.jasperreports.engine.export.JRXmlExporter
`DEFAULT_OBJECT_TYPE, DEFAULT_XML_ENCODING, destFile, dtdLocation, encoding, exporterContext, fontsMap, IMAGE_PREFIX, imageNameToImageDataMap, imagesDir, isEmbeddingImages, progressMonitor, rendererToImagePathMap, stylesMap, XML_EXPORTER_KEY, XML_FILES_SUFFIX, xmlWriter`

Fields inherited from class net.sf.jasperreports.engine.JRAbstractExporter
`classLoader, classLoaderSet, dateFormatCache, endPageIndex, fileResolver, fileResolverSet, filter, globalOffsetX, globalOffsetY, hyperlinkProducerFactory, isModeBatch, jasperPrint, jasperPrintList, numberFormatCache, parameters, PROPERTY_CELL_FORMULA, PROPERTY_DEFAULT_FILTER_FACTORY, PROPERTY_SUFFIX_DEFAULT_FILTER_FACTORY, startPageIndex, urlHandlerFactory, urlHandlerFactorySet`

Constructor Summary
`JRXml4SwfExporter()`

Method Summary
`protected java.lang.String` | `getExporterKey()`
`protected java.lang.String` | `getExporterPropertiesPrefix()`

Methods inherited from class net.sf.jasperreports.engine.export.JRXmlExporter
`exportElement, exportElements, exportEllipse, exportFont, exportFrame, exportGenericElement, exportGraphicElement, exportHyperlinkParameter, exportHyperlinkParameters, exportImage, exportLine, exportOrigin, exportPage, exportPen, exportPen, exportProperties, exportRectangle, exportReport, exportReportElement, exportReportFont, exportReportToBuffer, exportReportToFile, exportReportToStream, exportStyle, exportText, formatTextLineBreakOffsets, setHyperlinkProducerFactory`

Methods inherited from class net.sf.jasperreports.engine.JRAbstractExporter
`createFilter, defaultParseNumber, getBooleanCellValue, getBooleanParameter, getCharacterParameter, getCustomHandler, getDateCellValue, getDateFormat, getFloatParameter, getHyperlinkProducer, getIntegerParameter, getLocale, getNumberCellValue, getNumberFormat, getOffsetX, getOffsetY, getParameter, getParameterResolver, getParameters, getStringArrayParameter, getStringParameter, getStringParameterOrDefault, getStyledText, getStyledText, getTextFormatFactoryClass, getTextLocale, getTextTimeZone, getTextValue, getTextValueString, reset, resetClassLoader, resetExportContext, restoreElementOffsets, setClassLoader, setExportContext, setFrameElementsOffset, setInput, setJasperPrint, setOffset, setOffset, setOutput, setPageRange, setParameter, setParameters`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### XML4SWF_EXPORTER_KEY

    public static final java.lang.String XML4SWF_EXPORTER_KEY

  The exporter key, as used in `GenericElementHandlerEnviroment.getHandler(net.sf.jasperreports.engine.JRGenericElementType, String)`.

  See Also:
    Constant Field Values

Constructor Detail

### JRXml4SwfExporter

    public JRXml4SwfExporter()

Method Detail

### getExporterPropertiesPrefix

    protected java.lang.String getExporterPropertiesPrefix()

  Overrides:
    `getExporterPropertiesPrefix` in class `JRXmlExporter`

### getExporterKey

    protected java.lang.String getExporterKey()

  Overrides:
    `getExporterKey` in class `JRXmlExporter`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com